Subject: Re: 2.6.15-mm3

From: Patrick McHardy <[email-masked]>
Date: Thu, 12 Jan 2006 23:01:10 +0100

Andrew Morton wrote:
> "Rafael J. Wysocki" <[email-masked]> wrote:
> 
>>Hi,
>>
>>On Wednesday, 11 January 2006 13:21, Andrew Morton wrote:
>>
>>>ftp://ftp.kernel.org/pub/linux/kernel/people/akpm/patches/2.6/2.6.15/2.6.15-mm3/
>>
>>I got that on system shutdown (x86-64, 1 CPU):
> 
> 
> Thanks.   ipv6 died.  I think shemminger had a recent problem with ipv6 too?
> 
> I don't think there were any core networking changes in -mm3 which weren't
> in linus-at-that-time.
> 
> 
>>Unable to handle kernel NULL pointer dereference at 00000000000001b4 RIP:
>><ffffffff881cba51>{:ipv6:ip6_xmit+593}

That crash is already fixed in Linus' latest tree by this patch:

tree 3d4ce288b86cb2845d79c6adec9e254054bb0e02
parent a7768097557be91d0d4c37e8f2e38cd126c4cdf9
author David Woodhouse <[email-masked]> Thu, 12 Jan 2006 07:53:04 -0800
committer David S. Miller <[email-masked]> Thu, 12 Jan 2006 
08:32:13 -0800

[IPV6]: Avoid calling ip6_xmit() with NULL sk
The ip6_xmit() function now assumes that its sk argument is non-NULL,
which isn't currently true when TCPv6 code is sending RST or ACK
packets. This fixes that code to use a socket of its own for sending
such packets, as TCPv4 does. (Thanks Andi for the pointer).

Signed-off-by: David Woodhouse <[email-masked]>
Signed-off-by: David S. Miller <[email-masked]>